drop table if exists cfp_skills;

create table cfp_skills
( cfp_code int           not null,
skill_id        int          not null,
primary key(cfp_code,skill_id)
);


create unique index cfpskillsidx on cfp_skills (cfp_code,skill_id);


drop table if exists contractor_skills;

create table contractor_skills
( contractor_id int          not null,
skill_id        int          not null,
primary key(contractor_id,skill_id)
);


create unique index cskillsidx on contractor_skills (contractor_id,skill_id);



drop table if exists industry;
create table  industry
(
industry_id      int not null primary key,
industry_name     varchar(50) not null
);

create unique index pindustryidx on industry (industry_id);

insert into industry values (0,'Select One');
insert into industry values (1,'Finance/Accounting/Banking');
insert into industry values (2,'Engineering');
insert into industry values (3,'HealthCare');
insert into industry values (4,'General/Skilled Hourly');
insert into industry values (5,'Biotechnology/Pharmaceutical');
insert into industry values (6,'Information Technology/Telecomm.');


drop table if exists professional_skills;
create table  professional_skills
(
skill_id      int not null primary key,
skill_name    varchar(50) not null,
industry_id   int(2)
);

create unique index pskillsidx on professional_skills (skill_id);

insert into professional_skills values (0,'Select One or More',6);
insert into professional_skills values (1,'3D studio Max',6);
insert into professional_skills values (2,'Access Development',6);
insert into professional_skills values (3,'Active Server Pages (ASP)',6);
insert into professional_skills values (4,'Active X',6);
insert into professional_skills values (5,'Adobe Illustrator',6);
insert into professional_skills values (6,'Adobe PhotAldus pagemaker',6);
insert into professional_skills values (8,'AS/400 Programming',6);
insert into professional_skills values (9,'Assembler',6);
insert into professional_skills values (10,'Auto Cad',6);
insert into professional_skills values (11,'Banyan Vines',6);
insert into professional_skills values (12,'Basic',6);
insert into professional_skills values (13,'Bay Networks Routers',6);
insert into professional_skills values (14,'C',6);
insert into professional_skills values (15,'C++',6);
insert into professional_skills values (16,'cc:Mail',6);
insert into professional_skills values (17,'Centura',6);
insert into professional_skills values (18,'CICS',6);
insert into professional_skills values (19,'Cisco Routers',6);
insert into professional_skills values (20,'Citrix Metaframe',6);
insert into professional_skills values (21,'Citrix Winframe',6);
insert into professional_skills values (22,'Clipper',6);
insert into professional_skills values (23,'Clist',6);
insert into professional_skills values (24,'COBOL',6);
insert into professional_skills values (25,'Coldfusion',6);
insert into professional_skills values (26,'COM/DCOM',6);
insert into professional_skills values (27,'CORBA',6);
insert into professional_skills values (28,'Corel Graphics Products',6);
insert into professional_skills values (29,'Crystal Reports',6);
insert into professional_skills values (30,'Data Modeling',6);
insert into professional_skills values (31,'Data Warehousing',6);
insert into professional_skills values (32,'DB2',6);
insert into professional_skills values (33,'dBase',6);
insert into professional_skills values (34,'DCL',6);
insert into professional_skills values (35,'Delphi',6);
insert into professional_skills values (36,'Digital Signal Processing',6);
insert into professional_skills values (37,'Director',6);
insert into professional_skills values (38,'DNC Configuration',6);
insert into professional_skills values (39,'Dock Work',6);
insert into professional_skills values (40,'Dreamweaver',6);
insert into professional_skills values (41,'Easytrieve',6);
insert into professional_skills values (42,'EDI',6);
insert into professional_skills values (43,'ESQL/C',6);
insert into professional_skills values (44,'Firewall Design Implementation',6);
insert into professional_skills values (45,'Fortran',6);
insert into professional_skills values (46,'FoxPro',6);
insert into professional_skills values (47,'Freehand',6);
insert into professional_skills values (48,'GIS',6);
insert into professional_skills values (49,'Graphic Design',6);
insert into professional_skills values (50,'Gupta SQL Windows',6);
insert into professional_skills values (51,'HelpDesk & Support',6);
insert into professional_skills values (52,'HTML',6);
insert into professional_skills values (53,'IDMS/ASO',6);
insert into professional_skills values (54,'IMS',6);
insert into professional_skills values (55,'Informix',6);
insert into professional_skills values (56,'Informix DB Administration',6);
insert into professional_skills values (57,'Infrastructure Planning',6);
insert into professional_skills values (58,'Intrusion Detection Systems',6);
insert into professional_skills values (59,'Intrusion Testing',6);
insert into professional_skills values (60,'IPS/SPX',6);
insert into professional_skills values (61,'J++',6);
insert into professional_skills values (62,'Java',6);
insert into professional_skills values (63,'JavaBeans',6);
insert into professional_skills values (64,'Java Server Pages (JSP)',6);
insert into professional_skills values (65,'Linux',6);
insert into professional_skills values (155,'Lisp',6);
insert into professional_skills values (66,'Lotus Notes Development',6);
insert into professional_skills values (67,'Lotus Scripts',6);
insert into professional_skills values (68,'Mac Systems I-8',6);
insert into professional_skills values (69,'Macromedia Fireworks',6);
insert into professional_skills values (70,'Macromedia Flash',6);
insert into professional_skills values (71,'MFC',6);
insert into professional_skills values (72,'Microsoft Exchange',6);
insert into professional_skills values (73,'Microsoft IIS',6);
insert into professional_skills values (74,'Microsoft SMS',6);
insert into professional_skills values (75,'Microsoft SQL Server',6);
insert into professional_skills values (76,'Microsoft Transaction Server',6);
insert into professional_skills values (77,'Middleware/Messaging',6);
insert into professional_skills values (78,'MQ Series',6);
insert into professional_skills values (79,'MS DOS',6);
insert into professional_skills values (80,'MS Exchange',6);
insert into professional_skills values (81,'MS Site Server',6);
insert into professional_skills values (82,'MUMPS',6);
insert into professional_skills values (83,'MVS',6);
insert into professional_skills values (84,'Net Objects Fusion',6);
insert into professional_skills values (85,'Net.Commerce',6);
insert into professional_skills values (86,'NetBEUI',6);
insert into professional_skills values (87,'NetBIOS',6);
insert into professional_skills values (88,'Network Architecture',6);
insert into professional_skills values (89,'Network Management',6);
insert into professional_skills values (90,'NLMs',6);
insert into professional_skills values (91,'Nortel Routers',6);
insert into professional_skills values (92,'Novell Administration',6);
insert into professional_skills values (93,'NSAPI',6);
insert into professional_skills values (94,'Object Oriented Programming',6);
insert into professional_skills values (95,'Open MVS',6);
insert into professional_skills values (96,'Ora-Perl',6);
insert into professional_skills values (97,'Oracle Database Administration',6);
insert into professional_skills values (98,'Oracle developer 2000',6);
insert into professional_skills values (99,'Oracle PL/SQL',6);
insert into professional_skills values (100,'OS-2',6);
insert into professional_skills values (101,'Pascal',6);
insert into professional_skills values (102,'Pathworks Administration',6);
insert into professional_skills values (103,'PeopleSoft',6);
insert into professional_skills values (104,'Perl',6);
insert into professional_skills values (105,'PL1',6);
insert into professional_skills values (106,'Powerbuilder',6);
insert into professional_skills values (107,'Progress 4GL',6);
insert into professional_skills values (108,'Progress 4RDBMS',6);
insert into professional_skills values (109,'Project Management',6);
insert into professional_skills values (110,'Public Key Infrastructure',6);
insert into professional_skills values (111,'Quality Assurance',6);
insert into professional_skills values (112,'Quark Express',6);
insert into professional_skills values (113,'QVC',6);
insert into professional_skills values (114,'Rational Rose',6);
insert into professional_skills values (115,'Ray Dream Studio',6);
insert into professional_skills values (116,'Relational Databases',6);
insert into professional_skills values (117,'REXX',6);
insert into professional_skills values (118,'Risk Analysis',6);
insert into professional_skills values (119,'RPG',6);
insert into professional_skills values (120,'SAS',6);
insert into professional_skills values (121,'Security',6);
insert into professional_skills values (122,'Shell Scripting',6);
insert into professional_skills values (123,'SNMP',6);
insert into professional_skills values (124,'Software Testing',6);
insert into professional_skills values (125,'SPSS',6);
insert into professional_skills values (126,'SPUFI',6);
insert into professional_skills values (127,'SQL',6);
insert into professional_skills values (128,'Stratus',6);
insert into professional_skills values (129,'Sybase',6);
insert into professional_skills values (130,'TCP/IP',6);
insert into professional_skills values (131,'Technical Writing',6);
insert into professional_skills values (132,'Telecommunications/Voicemail',6);
insert into professional_skills values (133,'Unix',6);
insert into professional_skills values (134,'Unix Administration',6);
insert into professional_skills values (135,'VAX/VMS Administration',6);
insert into professional_skills values (136,'VBA',6);
insert into professional_skills values (137,'VBScript',6);
insert into professional_skills values (138,'Virtual Private Networks',6);
insert into professional_skills values (139,'Visual Basic',6);
insert into professional_skills values (140,'Visual C++',6);
insert into professional_skills values (141,'Visual FosPro',6);
insert into professional_skills values (142,'VMS',6);
insert into professional_skills values (143,'VRML',6);
insert into professional_skills values (144,'VSAM',6);
insert into professional_skills values (145,'Windows 2000',6);
insert into professional_skills values (146,'Windows 3.1',6);
insert into professional_skills values (147,'Windows 3.11',6);
insert into professional_skills values (148,'Windows NT Administration',6);
insert into professional_skills values (149,'Windows NT Performance Monitor',6);
insert into professional_skills values (150,'Windows 95',6);
insert into professional_skills values (151,'Windows 98',6);
insert into professional_skills values (152,'X Windows 95/Mofif',6);
insert into professional_skills values (153,'XML',6);
insert into professional_skills values (154,'Xpediter',6);

